AWSTemplateFormatVersion: "2010-09-09"
Description: "EventBridge Rule for triggering the step function"
Resources:
  TriggerStepFunctionEventRule:
      Type: AWS::Events::Rule
      Properties:
        EventBusName: default
        EventPattern:
          source:
            - aws.s3
          detail-type:
            - 'Object Created'
          detail:
            bucket:
              name:
                - !ImportValue meetingaudiorecordingsOutputName
        State: ENABLED
        Targets:
          - Id: Id74bb33bf-31c0-40f1-8807-e2b701570bb9
            Arn:
              Fn::ImportValue: StateMachineOutputName
            RoleArn:
              Fn::ImportValue: EventBridgeRoleOutputName